Subject: RE: [Sip] WGLC for draft-ietf-sip-session-policy-framework-01

From: <[email-masked]>
Date: Fri, 1 Jun 2007 11:02:18 +0300

Hi,
I have a couple of comments/questions on this draft.

3.2 Policy subscription
The MIME type defined in this draft for session-independent policies is
application/session-policy+xml. It is mentioned  that "a UA compliant to
this specification MUST support the User Agent Profile Data Set for
Media Policy", which (version -04) seems to define MIME type
application/media-policy-dataset+xml. I guess the MIME types should be
the same?

4.2 Overview, last sentence 
It is said that "Both types of policies [applying to the offer, or both
to the offer and answer] are supported by session-specific policy
mechanism." Does this require a mechanism to indicate in the policy
whether the policy applies to offer, or both offer and answer? With this
kind of mechanism the endpoint would not have to request a policy
decision for the answer, if the policy applies only to the offer.

4.3.1 Offer in request, example on page 12
What should be the behaviour if the policy check at the end (messaages 9
and 10) indicate that the policy was unacceptable? Should there be a
re-INVITE or UPDATE, possible triggering a similar policy checking again
in the remote end? Would it be better to always wait for the policy
decision before answering with the final response?

Regards,
Simo

>-----Original Message-----
>From: ext DRAGE, Keith (Keith) [mailto:[email-masked]] 
>Sent: 22.05.2007 01:06
>To: IETF SIP List
>Subject: [Sip] WGLC for draft-ietf-sip-session-policy-framework-01
>
>(As WG chair)
>
>This is to announce a Working Group Last Call on
>
>http://www.ietf.org/internet-drafts/draft-ietf-sip-session-poli
>cy-framew
>ork-01.txt
>
>The WGLC is for 3 weeks and will end on 11th June 2007.
>
>Please respond to the editor, and to the SIP mailing list with 
>comments.
>
>This WGLC is being held in conjunction with the two related 
>documents in the SIPPING group, see mail below:
>
>Regards
>
>Keith
>
>---------------------------------------------------------------
>---------
>-----------------------------
>
>Hi all,
>
>This is to announce Working Group Last Call on the following documents:
>http://www.ietf.org/internet-drafts/draft-ietf-sipping-media-po
>licy-data
>set-04.txt  (Recently updated to address the merging issue 
>discussed on the mailing list)
>http://www.ietf.org/internet-drafts/draft-ietf-sipping-policy-p
>ackage-03
>.txt (Unchanged since prior to IETF-68)
>
>This WGLC will end on 11 June 2007.
>
>Since the WG has previously reviewed these documents, the plan 
>is to keep the same set of reviewers that previously volunteered: 
>     Bob Penfield, Shida Schubert, Flemming Andreasen, Roni 
>Even However, anyone additional that would like to volunteer 
>would be appreciated to get a fresh set of eyes on the document. 
>
>Feedback should be sent to the authors' email addresses (which 
>is cc'ed using the tools alias in the above for your 
>convenience) and please copy the SIPPING mailing list.  
>
>Note: the original plan was to WGLC this set of documents 
>along with the framework document that moved to SIP.  So, stay 
>tuned for an announcement on the SIP list of the WGLC plans 
>for that document. 
>
>Thanks,
>Mary
>SIPPING WG co-chair
>
>---------------------------------------------------------------
>---------
>-------------------------------
>
>
>_______________________________________________
>Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>This list is for NEW development of the core SIP Protocol Use 
>[email-masked] for questions on current sip 
>Use [email-masked] for new developments on the application of sip
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Mon, 4 Jun 2007 20:43:53 +0200

A reminder of this current WGLC in progress.

If you have comments on this document, it would be appreciated if they
are received by the deadline.

If you intend to review the document, or think that someone else should
have, but have difficulty meeting the deadline, then please send me an
email.

Otherwise as before, if you have comments, follow the instructions
below.

Regards

Keith 

> From: DRAGE, Keith (Keith) [mailto:[email-masked]] 
> Sent: Monday, May 21, 2007 11:06 PM
> To: IETF SIP List
> http://www.ietf.org/internet-drafts/draft-ietf-sip-session-pol
> icy-framew
> ork-01.txt
> 
> Please respond to the editor, and to the SIP mailing list 
> with comments.
> 
> --------------------------------------------------------------
> ----------
> http://www.ietf.org/internet-drafts/draft-ietf-sipping-media-p
> olicy-data
> http://www.ietf.org/internet-drafts/draft-ietf-sipping-policy-
> package-03
> Since the WG has previously reviewed these documents, the 
> plan is to keep the same set of reviewers that previously 
> volunteered: 
> Feedback should be sent to the authors' email addresses 
> (which is cc'ed using the tools alias in the above for your 
> along with the framework document that moved to SIP.  So, 
> stay tuned for an announcement on the SIP list of the WGLC 
> plans for that document. 
> 
> Thanks,
> Mary
> SIPPING WG co-chair
> 
> --------------------------------------------------------------
> ----------

---

From: "Mary Barnes" <[email-masked]>
Date: Fri, 8 Jun 2007 15:30:45 -0500

Draft:  draft-ietf-sip-session-policy-framework-01
Reviewer: Mary Barnes
Review Date: 8 June 2007
Review Deadline: 11 June 2007
Status: WGLC

Summary: This draft is basically ready for publication, but has nits 
that should be fixed before publication. 

Comments:
----------
I reviewed the diff for this document as compared to the version 
I previously reviewed:
http://www.softarmor.com/sipping/process/wg-review/reviews/draft-ietf-si
pping-session-policy-framework-01-barnes.txt

And, I believe all my previous concerns have been addressed.  There are
a 
few nits that I noticed that should be fixed.

Nits:
------
- Header: Need to add "Intended Status:" (i.e., category="std" in the
<rfc> field) 

- Section 4.4.1:
-  2nd paragraph, 5th sentence: insert "the" between "using" and
"mechanism" in the following sentence:
   "If the UAC decides to continue, it MUST use the policy server 
   URI to contact the policy server using the mechanism defined in 
   Section 4.5."

- 2nd paragraph, 8th sentence: "resend" -> "resent" in the following
sentence:
   "If no changes are required by policies or no policies have
   been received, the request can be resend without any policy-induced
   changes."

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Mon, 11 Jun 2007 15:17:52 +0200

A further reminder that we would like comments on this WGLC by the end
of today.

If you have comments, the please submit them. If you are likely to read
this document then now would be a good time to complete that review.

Keith

---

From: Volker Hilt <[email-masked]>
Date: Wed, 13 Jun 2007 10:21:14 -0400

> application/media-policy-dataset+xml. I guess the MIME types should be
Good catch. I'll change the MIME type in the framework to 
application/media-policy-dataset+xml.

> decision for the answer, if the policy applies only to the offer.
Yes. The policy event package supports this.

> decision before answering with the final response?
I think it is unlikely that a policy server would decline a session at 
this point since it has accepted the offer earlier. If it does occur, 
the correct behavior for the UA would be to terminate the session by 
sending a BYE. I believe section 4.4.6. covers this to some extend but 
maybe this needs to be made more explicit.

Volker

---

From: <[email-masked]>
Date: Fri, 15 Jun 2007 14:16:03 +0300

>From: ext Volker Hilt [mailto:[email-masked]] 
>Sent: 13.06.2007 17:21
>To: Veikkolainen Simo (NSN - FI/Helsinki)
>Cc: [email-masked]
>Subject: Re: [Sip] WGLC for draft-ietf-sip-session-policy-framework-01
>
>> The MIME type defined in this draft for session-independent policies 
>> is application/session-policy+xml. It is mentioned  that "a UA 
>> compliant to this specification MUST support the User Agent Profile 
>> Data Set for Media Policy", which (version -04) seems to define MIME 
>> type application/media-policy-dataset+xml. I guess the MIME types 
>> should be the same?
>> 
>> It is said that "Both types of policies [applying to the offer, or 
>> both to the offer and answer] are supported by 
>session-specific policy 
>> whether the policy applies to offer, or both offer and answer? With 
>> this kind of mechanism the endpoint would not have to 
>request a policy 

Ah, this would be the "local-only" event parameter, I guess? This is
fine then.

-Simo

>
>> 4.3.1 Offer in request, example on page 12 What should be the 
>> behaviour if the policy check at the end (messaages 9 and 
>10) indicate 
>> that the policy was unacceptable? Should there be a re-INVITE or 
>> UPDATE, possible triggering a similar policy checking again in the 
>> remote end? Would it be better to always wait for the policy 
>decision 
>> before answering with the final response?
>> 
>I think it is unlikely that a policy server would decline a 
>session at this point since it has accepted the offer earlier. 
>If it does occur, the correct behavior for the UA would be to 
>terminate the session by sending a BYE. I believe section 
>4.4.6. covers this to some extend but maybe this needs to be 
>made more explicit.
>
>Volker
>
>
>
>
>plan is to 
>>> keep the same set of reviewers that previously volunteered:
>>>     Bob Penfield, Shida Schubert, Flemming Andreasen, Roni Even 
>>> However, anyone additional that would like to volunteer would be 
>>> appreciated to get a fresh set of eyes on the document.
>>>
>>> Feedback should be sent to the authors' email addresses (which is 
>>> cc'ed using the tools alias in the above for your
>along with 
>>> the framework document that moved to SIP.  So, stay tuned for an 
>>> announcement on the SIP list of the WGLC plans for that document.
>>>
>>> Thanks,
>>> Mary
>>> SIPPING WG co-chair
>>>
>>> [email-masked] for questions on current sip Use 
>>> [email-masked] for new developments on the application of sip
>>>
>> 
>> 
>> [email-masked] for questions on current sip Use 
>> [email-masked] for new developments on the application of sip
>
>
>

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Tue, 19 Jun 2007 10:51:40 +0200

There were comments received on this draft, but none of them appear to
be technical show stoppers.

Volker will update the draft, based on the comments received. If any of
these require technical discussion, he will raise the issues on the
list. I do not expect any further WGLC.

When the new version exists, I will submit a publication request to the
IESG.

For the related SIPPING drafts, these also received comments. Again none
of these are technical show stoppers. There are also some issues with
dependent references to be addressed.

Regards

Keith

> From: DRAGE, Keith (Keith) 
> Sent: Monday, June 11, 2007 2:18 PM
> To: DRAGE, Keith (Keith); IETF SIP List
> Subject: RE: [Sip] WGLC for draft-ietf-sip-session-policy-framework-01
> 
> A further reminder that we would like comments on this WGLC 
> by the end of today.
> 
> If you have comments, the please submit them. If you are 
> likely to read this document then now would be a good time to 
> complete that review.
> 
> Keith 
>